<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/test/MPRISPlayerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_746e94396b4d62eddf48b1557d37ad77.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">MPRISPlayerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_bluetooth_event_bus_8h_source.html">AVSCommon/Utils/Bluetooth/BluetoothEventBus.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_bluetooth_events_8h_source.html">AVSCommon/Utils/Bluetooth/BluetoothEvents.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_d_bus_connection_8h_source.html">BlueZ/DBusConnection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_m_p_r_i_s_player_8h_source.html">BlueZ/MPRISPlayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_mock_d_bus_proxy_8h_source.html">MockDBusProxy.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MPRISPlayerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_m_p_r_i_s_player_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2test_2_m_p_r_i_s_player_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2test_2_m_p_r_i_s_player_test_8cpp" id="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2test_2_m_p_r_i_s_player_test_8cpp">
<area shape="rect" id="node4" href="_bluetooth_event_bus_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventBus.h" alt="" coords="1219,179,1410,217"/>
<area shape="rect" id="node11" href="_bluetooth_events_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEvents.h" alt="" coords="1690,352,1881,391"/>
<area shape="rect" id="node26" href="_d_bus_connection_8h.html" title="BlueZ/DBusConnection.h" alt="" coords="1160,639,1331,664"/>
<area shape="rect" id="node28" href="_m_p_r_i_s_player_8h.html" title="BlueZ/MPRISPlayer.h" alt="" coords="698,105,848,131"/>
<area shape="rect" id="node39" href="_mock_d_bus_proxy_8h.html" title="MockDBusProxy.h" alt="" coords="383,105,513,131"/>
<area shape="rect" id="node25" href="_bluetooth_event_listener_interface_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventListenerInterface.h" alt="" coords="1657,265,1883,304"/>
<area shape="rect" id="node12" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="1831,439,2076,477"/>
<area shape="rect" id="node15" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="1501,525,1718,577"/>
<area shape="rect" id="node23" href="_a_v_r_c_p_target_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPTarget\lInterface.h" alt="" coords="2514,525,2736,577"/>
<area shape="rect" id="node24" href="_a2_d_p_role_8h.html" title="AVSCommon/Utils/Bluetooth\l/A2DPRole.h" alt="" coords="1556,439,1747,477"/>
<area shape="rect" id="node16" href="_bluetooth_service_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/Bluetooth\lServiceInterface.h" alt="" coords="1858,625,2054,677"/>
<area shape="rect" id="node17" href="_s_d_p_record_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/SDPRecord\lInterface.h" alt="" coords="1851,725,2061,777"/>
<area shape="rect" id="node21" href="_a2_d_p_sink_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSink\lInterface.h" alt="" coords="1922,525,2123,577"/>
<area shape="rect" id="node22" href="_a_v_r_c_p_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPController\lInterface.h" alt="" coords="2146,525,2389,577"/>
<area shape="rect" id="node18" href="_formatted_audio_stream_adapter_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapter.h" alt="" coords="2466,632,2686,671"/>
<area shape="rect" id="node19" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="2565,825,2787,851"/>
<area shape="rect" id="node20" href="_formatted_audio_stream_adapter_listener_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapterListener.h" alt="" coords="2335,732,2603,771"/>
<area shape="rect" id="node29" href="_d_bus_object_8h.html" title="BlueZ/DBusObject.h" alt="" coords="877,445,1019,471"/>
<area shape="rect" id="node31" href="_d_bus_proxy_8h.html" title="BlueZ/DBusProxy.h" alt="" coords="599,359,736,384"/>
<area shape="rect" id="node30" href="_d_bus_object_base_8h.html" title="BlueZ/DBusObjectBase.h" alt="" coords="862,539,1034,564"/>
<area shape="rect" id="node32" href="_blue_z_utils_8h.html" title="BlueZUtils.h" alt="" coords="355,445,448,471"/>
<area shape="rect" id="node33" href="_managed_g_variant_8h.html" title="BlueZ/ManagedGVariant.h" alt="" coords="5,639,184,664"/>
<area shape="rect" id="node34" href="_managed_g_error_8h.html" title="BlueZ/ManagedGError.h" alt="" coords="410,639,576,664"/>
<area shape="rect" id="node35" href="_g_variant_tuple_reader_8h.html" title="BlueZ/GVariantTupleReader.h" alt="" coords="307,539,506,564"/>
<area shape="rect" id="node37" href="_g_variant_map_reader_8h.html" title="BlueZ/GVariantMapReader.h" alt="" coords="92,539,284,564"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_listener.html">alexaClientSDK::bluetoothImplementations::blueZ::test::MockListener</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock listener for the <code>BluetoothEventBus</code>.  <a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_mock_listener.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html">alexaClientSDK::bluetoothImplementations::blueZ::test::MPRISPlayerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html">alexaClientSDK::bluetoothImplementations::blueZ::test::MPRISPlayerSupportedAVRCPTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameterized test fixture for supported org.mpris.MediaPlayer2.Player DBus AVRCP Methods.  <a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_supported_a_v_r_c_p_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html">alexaClientSDK::bluetoothImplementations::blueZ::test::MPRISPlayerUnsupportedTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameterized test fixture for unsupported DBus AVRCP Methods.  <a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_unsupported_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">alexaClientSDK::bluetoothImplementations</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">alexaClientSDK::bluetoothImplementations::blueZ</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html">alexaClientSDK::bluetoothImplementations::blueZ::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af178a93ae2ad92d894ea619f63925ae7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#af178a93ae2ad92d894ea619f63925ae7">alexaClientSDK::bluetoothImplementations::blueZ::test::onNameAcquired</a> (GDBusConnection *connection, const gchar *name, gpointer user_data)</td></tr>
<tr class="memdesc:af178a93ae2ad92d894ea619f63925ae7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback passed to GDBus for when a bus name is acquired.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#af178a93ae2ad92d894ea619f63925ae7">More...</a><br /></td></tr>
<tr class="separator:af178a93ae2ad92d894ea619f63925ae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad84bdbb5fcf9445d5d029f40bd3c62c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aad84bdbb5fcf9445d5d029f40bd3c62c">alexaClientSDK::bluetoothImplementations::blueZ::test::onNameLost</a> (GDBusConnection *connection, const gchar *name, gpointer user_data)</td></tr>
<tr class="memdesc:aad84bdbb5fcf9445d5d029f40bd3c62c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback passed to GDBus for when a bus name is lost.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aad84bdbb5fcf9445d5d029f40bd3c62c">More...</a><br /></td></tr>
<tr class="separator:aad84bdbb5fcf9445d5d029f40bd3c62c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94dc85ac03c0d6e06543c8809469a043"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a94dc85ac03c0d6e06543c8809469a043">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F</a> (MPRISPlayerTest, test_createSucceeds)</td></tr>
<tr class="memdesc:a94dc85ac03c0d6e06543c8809469a043"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that the happy create() case succeeds.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a94dc85ac03c0d6e06543c8809469a043">More...</a><br /></td></tr>
<tr class="separator:a94dc85ac03c0d6e06543c8809469a043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ea88b642c9ffc4154e69746768bd58d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a0ea88b642c9ffc4154e69746768bd58d">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F</a> (MPRISPlayerTest, test_createWithNullFails)</td></tr>
<tr class="memdesc:a0ea88b642c9ffc4154e69746768bd58d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that missing parameters result in a nullptr.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a0ea88b642c9ffc4154e69746768bd58d">More...</a><br /></td></tr>
<tr class="separator:a0ea88b642c9ffc4154e69746768bd58d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afba4888a78ac08549aa8cc2a86827498"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#afba4888a78ac08549aa8cc2a86827498">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_F</a> (MPRISPlayerTest, test_playerRegistration)</td></tr>
<tr class="memdesc:afba4888a78ac08549aa8cc2a86827498"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that the <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_m_p_r_i_s_player.html">MPRISPlayer</a> properly registers and unregisters throughout its life time.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#afba4888a78ac08549aa8cc2a86827498">More...</a><br /></td></tr>
<tr class="separator:afba4888a78ac08549aa8cc2a86827498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb35728da2f0810873f27e21a92e2a1a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#adb35728da2f0810873f27e21a92e2a1a">alexaClientSDK::bluetoothImplementations::blueZ::test::INSTANTIATE_TEST_CASE_P</a> (Parameterized, MPRISPlayerSupportedAVRCPTest, ::testing::Values(std::make_pair&lt; std::string, AVRCPCommand &gt;(&quot;Play&quot;, AVRCPCommand::PLAY), std::make_pair&lt; std::string, AVRCPCommand &gt;(&quot;Pause&quot;, AVRCPCommand::PAUSE), std::make_pair&lt; std::string, AVRCPCommand &gt;(&quot;Next&quot;, AVRCPCommand::NEXT), std::make_pair&lt; std::string, AVRCPCommand &gt;(&quot;Previous&quot;, AVRCPCommand::PREVIOUS)), [](testing::TestParamInfo&lt; std::pair&lt; std::string, AVRCPCommand &gt;&gt; info) { return info.param.first;})</td></tr>
<tr class="separator:adb35728da2f0810873f27e21a92e2a1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8732d88e77e3efc765d0bec68e9fb58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#ad8732d88e77e3efc765d0bec68e9fb58">alexaClientSDK::bluetoothImplementations::blueZ::test::MATCHER_P</a> (ContainsAVRCPCommand, cmd, &quot;&quot;)</td></tr>
<tr class="separator:ad8732d88e77e3efc765d0bec68e9fb58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aa6ffe2b47691b5fb7299c9bd47ce9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a4aa6ffe2b47691b5fb7299c9bd47ce9c">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_P</a> (MPRISPlayerSupportedAVRCPTest, test_avrcpCommand)</td></tr>
<tr class="memdesc:a4aa6ffe2b47691b5fb7299c9bd47ce9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a supported DBus method sends the correct corresponding AVRCPCommand.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a4aa6ffe2b47691b5fb7299c9bd47ce9c">More...</a><br /></td></tr>
<tr class="separator:a4aa6ffe2b47691b5fb7299c9bd47ce9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9016c704a273b4c58dcad3b2ecc77af4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a9016c704a273b4c58dcad3b2ecc77af4">alexaClientSDK::bluetoothImplementations::blueZ::test::INSTANTIATE_TEST_CASE_P</a> (Parameterized, MPRISPlayerUnsupportedTest, ::testing::Values(&quot;PlayPause&quot;, &quot;Stop&quot;, &quot;Seek&quot;, &quot;SetPosition&quot;, &quot;OpenUri&quot;), [](testing::TestParamInfo&lt; std::string &gt; info) { return info.param;})</td></tr>
<tr class="separator:a9016c704a273b4c58dcad3b2ecc77af4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5a9dc02b3581ec142dfddd5895ba9e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aa5a9dc02b3581ec142dfddd5895ba9e7">alexaClientSDK::bluetoothImplementations::blueZ::test::TEST_P</a> (MPRISPlayerUnsupportedTest, test_unsupportedMethod)</td></tr>
<tr class="memdesc:aa5a9dc02b3581ec142dfddd5895ba9e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that unsupported DBus methods do not send any Bluetooth events.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aa5a9dc02b3581ec142dfddd5895ba9e7">More...</a><br /></td></tr>
<tr class="separator:aa5a9dc02b3581ec142dfddd5895ba9e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a28f735231dac846c9fa9d63131e90bef"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; DBusConnection &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a28f735231dac846c9fa9d63131e90bef">alexaClientSDK::bluetoothImplementations::blueZ::test::g_connection</a> = DBusConnection::create(G_BUS_TYPE_SESSION)</td></tr>
<tr class="separator:a28f735231dac846c9fa9d63131e90bef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d15a1c559f689776cf0dd12009012e6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a7d15a1c559f689776cf0dd12009012e6">alexaClientSDK::bluetoothImplementations::blueZ::test::UNIQUE_BUS</a> = &quot;org.avscppsdk.test.unique&quot;</td></tr>
<tr class="memdesc:a7d15a1c559f689776cf0dd12009012e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unique bus name to allow DBus method invocations.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a7d15a1c559f689776cf0dd12009012e6">More...</a><br /></td></tr>
<tr class="separator:a7d15a1c559f689776cf0dd12009012e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a620f75fc9032a3ba45bbf6d1a58b827d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a620f75fc9032a3ba45bbf6d1a58b827d">alexaClientSDK::bluetoothImplementations::blueZ::test::MPRIS_PLAYER_INTERFACE</a> = &quot;org.mpris.MediaPlayer2.Player&quot;</td></tr>
<tr class="memdesc:a620f75fc9032a3ba45bbf6d1a58b827d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The interface name.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#a620f75fc9032a3ba45bbf6d1a58b827d">More...</a><br /></td></tr>
<tr class="separator:a620f75fc9032a3ba45bbf6d1a58b827d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
